This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 802721 - CommandFactory.newStartProcess does not pass parameters to process instance
CommandFactory.newStartProcess does not pass parameters to process instance
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Kris Verlaenen
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 06:46 EDT by Radovan Synek
Modified: 2012-05-11 00:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2012-03-13 06:46:28 EDT
Description of problem:

After starting process instance through CommandFactory and passing some parameter, this parameter is null inside process.

Here is a part of CommandFactory.java:

public static Command newStartProcess(String processId,
                                          Map<String, Object> parameters) {
        return getCommandFactoryProvider().newStartProcess( processId );
    }
Comment 1 Radovan Synek 2012-03-13 06:52:46 EDT
And here is pull request with reproducer:

https://github.com/droolsjbpm/jbpm/pull/56

Note You need to log in before you can comment on or make changes to this bug.